<launch>

  <!-- A simple launch file for the nmea_serial_driver node. -->

  <arg name="port" default="/dev/ttyUSB0" />
  <arg name="baud" default="115200" />
  <arg name="frame_id" default="gps" />
  <!-- <arg name="use_GNSS_time" default="False" /> -->
  <!-- <arg name="time_ref_source" default="gps" /> -->
  <!-- <arg name="useRMC" default="False" /> -->

  <node name="ins_serial_driver_node" pkg="ins_navsat_driver" type="ins_topic_serial_reader.py" output="screen">
    <param name="port" value="$(arg port)"/>
    <param name="baud" value="$(arg baud)" />
    <param name="frame_id" value="$(arg frame_id)" />
    <!-- <param name="use_GNSS_time" value="$(arg use_GNSS_time)" /> -->
    <!-- <param name="time_ref_source" value="$(arg time_ref_source)" /> -->
    <!-- <param name="useRMC" value="$(arg useRMC)" /> -->
  </node>

</launch>
